html {
  scroll-behavior: smooth;
}

body {
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  margin: 0;
  background-color: var(--bg);
  color: var(--fg);
  height: 100vh;
}

main {
  padding: 0 1.7em;
}

footer {
  color: var(--nord4);
  width: 100%;
  padding: 20px 0;
}

header,
footer {
  background-color: var(--frame-bg);
}

header {
  position: sticky;
  top: 0;
  z-index: 1;
  color: var(--nord6);
  padding: 10px;
}

footer {
  text-align: center;
}

footer p {
  margin: 20px 10%;
}

h2,
h3,
h4,
h5,
h5 {
  text-align: center;
}

code {
  color: var(--code);
}

a {
  color: var(--link);
}

a:hover,
a:hover {
  /* FIXME: apply on buttons */
  color: var(--link-hover);
}

#banner a {
  color: currentColor;
}

hr {
  border: 0;
  height: 0;
  width: 90%;
  border-top: 1px solid var(--hr);
}

/* Put the header with its navigation bar at the bottom for easeier access when holding mobile in hand */
@media only screen and (max-width: 600px) and (orientation: portrait) {
  header {
    position: fixed;
    z-index: 1;
    color: var(--nord6);
    bottom: 0;
    top: auto;
    width: 100%;
  }

  footer {
    margin-bottom: 35px;
  }
}

#logo {
  width: 5rem;
  height: 5rem;
  -webkit-transform: scaleX(-1);
  transform: scaleX(-1);
}

#icon {
  height: 2rem;
}

#banner {
  background-color: var(--nord11);
  color: var(--nord6);
  padding: 10px;
  text-align: center;
  margin-bottom: 10px;
}

#badges {
  display: flex;
  justify-content: space-evenly;
  flex-wrap: wrap;
  margin: 10px;
}

#badges img {
  margin: 1px;
}

.grid {
  display: flex;
  justify-content: space-around;
  align-items: center;
}

.title {
  text-align: center;
}

nav {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

#links {
  display: flex;
  flex-direction: row;
  align-items: center;
  flex-wrap: wrap;
}


#nav-buttons button {
  border: none;
  background: none;
  padding: 0;
  color: inherit;
  margin-left: 10px;
}

#nav-buttons button i {
  margin: 0;
}

#download-button {
  color: currentColor;
  border: 15px solid var(--nord11);
  border-radius: 50px;
  width: 90vw;
  height: 100px;
  font-size: 1.3rem;
  font-weight: bold;
  background-color: transparent;
}

#download-button:hover {
  transition: .5s;
  transform: scale(1.05) perspective(1px);
}

#download {
  display: flex;
  flex-direction: column;
  align-items: center;
}

#download p {
  text-align: center;
}

nav ul {
  list-style-type: none;
}

nav ul li {
  display: inline;
}

button {
  cursor: pointer;
}

.small {
  font-size: 0.8rem;
}

@keyframes fade-in {
  0% {
    opacity: 0;
    transform: scaleY(0);
    display: none;
  }

  100% {
    opacity: 1;
    transform: scaleY(1);
    display: block;
  }
}


/* THEMES */

.light {
  --bg: var(--nord6);
  --fg: var(--nord0);
  --frame-bg: var(--nord0);
  --hr: var(--nord4);
  --code: var(--nord12);
  --link: currentColor;
  --link-hover: var(--nord10);
}

.dark {
  --bg: var(--nord0);
  --fg: var(--nord6);
  --frame-bg: var(--nord1);
  --hr: var(--nord3);
  --code: var(--nord13);
  --link: var(--nord8);
  --link-hover: var(--nord10);
}